Get a role's users
Retrieve list of users associated with a specific role. For Dashboard instructions, review View Users Assigned to Roles.
Note: Returns only users with direct role assignments. For groups assigned to this role, use GET /api/v2/roles/{id}/groups.
This endpoint supports two types of pagination:
- Offset pagination
- Checkpoint pagination
Checkpoint pagination must be used if you need to retrieve more than 1000 organization members.
Checkpoint Pagination
To search by checkpoint, use the following parameters:
from: Optional id from which to start selection.take: The total amount of entries to retrieve when using the from parameter. Defaults to 50.
Note: The first time you call this endpoint using checkpoint pagination, omit the from parameter. If there are more results, a next value is included in the response. You can use this for subsequent API calls. When next is no longer included in the response, no pages are remaining.